<?php
namespace TPS\Birzha\Events;

class ExchangerequestReceivedEvent extends \RainLab\Notify\Classes\EventBase
{
    /**
     * Returns information about this event, including name and description.
     */
    public function eventDetails()
    {
        return [
            'name'        => 'Exchange request created',
            'description' => 'New Exchange request created from Exchange project',
            'group'       => 'message'
        ];
    }

    public static function makeParamsFromEvent(array $args, $eventName = null)
    {
        return [
            'exchange_request' => array_get($args, 0)
        ];
    }
}
